#!/bin/bash

MNT_PATH=/media/nfs/        #挂载移动设备的目录
DEV_PRE=$1              #参数1：挂载点的前缀
DEV_NAME=$2             #参数2：设备在/dev下的名字
if [ $ACTION == "add" ]; then
    touch /mkdirusb
    /usr/bin/mkdir -p $MNT_PATH$DEV_PRE-$DEV_NAME
    /usr/bin/mount /dev/$DEV_NAME $MNT_PATH$DEV_PRE-$DEV_NAME   #这里可根据 which mount 来产看自己的mount在什么位置
    if [[ $? -ne 0 ]]; then
        /usr/bin/rmdir $MNT_PATH$DEV_PRE-$DEV_NAME
    fi
elif [ $ACTION == "remove" ]; then 
    if [[ -e  $MNT_PATH$DEV_PRE-$DEV_NAME ]] ; then 
        touch /rmusb
        /usr/bin/umount $MNT_PATH$DEV_PRE-$DEV_NAME
        rm  $MNT_PATH$DEV_PRE-$DEV_NAME
    fi
fi
exit 0


